package org.eclipse.jdt.internal.compiler.ast;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ast.SwitchStatement;
import org.eclipse.jdt.internal.compiler.codegen.BranchLabel;

class StringSwitchCase implements Comparable {
  int hashCode;
  
  String string;
  
  BranchLabel label;
  
  public StringSwitchCase(int hashCode, String string, BranchLabel label) {
    this.hashCode = hashCode;
    this.string = string;
    this.label = label;
  }
  
  public int compareTo(Object o) {
    StringSwitchCase that = (StringSwitchCase)o;
    if (this.hashCode == that.hashCode)
      return 0; 
    if (this.hashCode > that.hashCode)
      return 1; 
    return -1;
  }
  
  public String toString() {
    return "StringSwitchCase :\ncase " + 
      this.hashCode + ":(" + this.string + ")\n";
  }
}
